{% extends "socialaccount/base.html" %}
{% load i18n staticfiles %}
{% block head_title %}{% trans "Daftar" %}{% endblock %}

{% block content %}
  <div uk-grid>
    <div class="uk-width-1-1">
      <div class="uk-margin uk-text-center uk-flex uk-flex-center uk-flex-middle">
        <div class="uk-margin-auto uk-width-1-4@s uk-card uk-card-body">
          <form class="uk-form password_reset" method="post" action="{% url 'socialaccount_signup' %}">{% csrf_token %}
            <div class="uk-flex uk-flex-center uk-flex-middle">
              <a href="/" class="spf-link">
                <canvas width="100" uk-svg="" src="{% static 'images/logos/svg/logo-150x150.svg' %}" style="color: #1e87f0" hidden="true"></canvas>
              </a>
            </div>

            <div class="uk-alert uk-text-small">
              <p>{% blocktrans with provider_name=account.get_provider.name site_name=site.name %}You are about to use your {{ provider_name }} account to login to
              {{ site_name }}. As a final step, please complete the following form:{% endblocktrans %}</p>
            </div>

            {% if form.non_field_errors %}
              {% if form.non_field_errors|length > 1 %}
                <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                  {% for error in form.non_field_errors %}
                    <li class="uk-text-warning">{{ error }}</li>
                  {% endfor %}
                </ol>
              {% else %}
                <div class="uk-text-small uk-text-warning">
                  {{ form.non_field_errors|first }}
                </div>
              {% endif %}
            {% endif %}

            <div class="uk-margin">
              <input class="uk-width-1-1 uk-input" name="email" type="email" size="30" placeholder="Email" required>
              {% if form.email.errors %}
                {% if form.email.errors|length > 1 %}
                  <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                    {% for error in form.email.errors %}
                      <li class="uk-text-warning">{{ error }}</li>
                    {% endfor %}
                  </ol>
                {% else %}
                  <div class="uk-text-small uk-text-left uk-text-warning">
                    {{ form.email.errors|first }}
                  </div>
                {% endif %}
              {% endif %}
            </div>
            <div class="uk-margin">
              <input class="uk-width-1-1 uk-input" name="username" type="text" minlength="1" maxlength="150" placeholder="Username" required>
              {% if form.username.errors %}
                {% if form.username.errors|length > 1 %}
                  <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                    {% for error in form.username.errors %}
                      <li class="uk-text-warning">{{ error }}</li>
                    {% endfor %}
                  </ol>
                {% else %}
                  <div class="uk-text-small uk-text-left uk-text-warning">
                    {{ form.username.errors|first }}
                  </div>
                {% endif %}
              {% endif %}
            </div>
            <div class="uk-margin">
              {% if redirect_field_value %}
                <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}" />
              {% endif %}
              <button type="submit" class="uk-width-1-1 uk-button uk-button-primary">{% trans 'Sign Up' %}</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
